rev 1396 - trunk/hooks

[prev] [thread] [next] [lurker] [Date index for 2003/09/03]

From: richardc
Subject: rev 1396 - trunk/hooks
Date: 07:42 on 03 Sep 2003
Author: richardc
Date: 2003-09-03 07:42:16 +0100 (Wed, 03 Sep 2003)
New Revision: 1396

Modified:
   trunk/hooks/pre-commit
Log:
fix the regex

Modified: trunk/hooks/pre-commit
===================================================================
--- trunk/hooks/pre-commit	2003-09-03 06:36:15 UTC (rev 1395)
+++ trunk/hooks/pre-commit	2003-09-03 06:42:16 UTC (rev 1396)
@@ -1,11 +1,11 @@
 #!/bin/sh
 
 REPOS="$1"
-TXN="$2
+TXN="$2"
 
-
 # if the diff is adding tabs, reject it
-svnlook diff -t $TXN $REPOS | perl -wne 'exit 1 if /^\+ .*\t/' && exit 1
+cd /tmp
+svnlook diff -t "$TXN" "$REPOS" | perl -wne 'exit 1 if /^\+.*\t/' && exit 1
 
 # fallthrough, you're OK
 exit 0

Generated at 13:57 on 01 Jul 2004 by mariachi 0.52